# Properties

Properties

## List properties

> List all properties.\
> \
> Required permissions: PRODUCT

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Properties","description":"Properties"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"parameters":{"pageNumberQuery":{"description":"Reference to a specific page in a result set.","in":"query","name":"pageNumber","required":false,"schema":{"type":"integer"}},"pageSizeQuery":{"description":"The number of items per page in a result set.","in":"query","name":"pageSize","required":false,"schema":{"type":"integer"}},"sortByQuery":{"description":"Defines which field the resource list is sorted by.","in":"query","name":"sortBy","required":false,"schema":{"type":"string"}},"sortDirectionQuery":{"description":"Reference to a sort direction","explode":false,"in":"query","name":"sortDirection","schema":{"$ref":"#/components/schemas/SortDirectionENUM"},"style":"form"}},"schemas":{"SortDirectionENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| ASC | Sort in ascending order|\n| DESC | Sort in descending order|\n","enum":["ASC","DESC"],"title":"SortDirectionENUM","type":"string"},"PropertyResponseSchema":{"description":"A product property that extends the product with new data. It comes in three data types; TEXT, LIST or CHECKLIST.","title":"PropertyResponseSchema","type":"object","properties":{"createdAt":{"format":"date-time","type":"string"},"propertyName":{"type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"propertyUid":{"$ref":"#/components/schemas/UID"},"type":{"$ref":"#/components/schemas/PropertyTypeENUM"},"externalId":{"type":"string"}},"required":["createdAt","propertyName","lastModifiedAt","propertyUid","type"]},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"PropertyTypeENUM":{"description":"Describes the type of property a product can have.\n\n|ENUM      | Description |\n| ---------------- | ------------ |\n| TEXT | A single text line such as an URL to a product manual or a reminder to the cashier/salesperson.|\n| SINGLESELECT | A list of values where a product can only have one at any given time.|\n| MULTISELECT | A list of values where a product can have none or several at any given time.|","enum":["TEXT","SINGLESELECT","MULTISELECT"],"title":"PropertyTypeENUM","type":"string"},"Paging":{"description":"totalCount The total number of items in the result set.\n\npageSize The number of items per page.\n\npageNumber The current page in the result set.","properties":{"pageNumber":{"type":"integer"},"pageSize":{"type":"integer"},"totalCount":{"type":"integer"}},"required":["totalCount","pageSize","pageNumber"],"title":"Paging","type":"object"}},"responses":{"PropertyListResponse":{"content":{"application/json":{"schema":{"properties":{"items":{"items":{"$ref":"#/components/schemas/PropertyResponseSchema"},"type":"array"},"paging":{"$ref":"#/components/schemas/Paging"}},"required":["items","paging"],"type":"object"}}},"description":"Example response"}}},"paths":{"/tenants/{tenantUid}/properties":{"get":{"description":"List all properties.\n\nRequired permissions: PRODUCT","operationId":"get-tenants-properties","parameters":[{"$ref":"#/components/parameters/pageNumberQuery"},{"$ref":"#/components/parameters/pageSizeQuery"},{"$ref":"#/components/parameters/sortByQuery"},{"$ref":"#/components/parameters/sortDirectionQuery"}],"responses":{"200":{"$ref":"#/components/responses/PropertyListResponse"}},"summary":"List properties","tags":["Properties"]}}}}
```

## Create a new property

> Create a new property.\
> \
> Required permissions: PRODUCT

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Properties","description":"Properties"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"PropertyResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PropertyResponseSchema"}}},"description":"Example response"}},"schemas":{"PropertyResponseSchema":{"description":"A product property that extends the product with new data. It comes in three data types; TEXT, LIST or CHECKLIST.","title":"PropertyResponseSchema","type":"object","properties":{"createdAt":{"format":"date-time","type":"string"},"propertyName":{"type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"propertyUid":{"$ref":"#/components/schemas/UID"},"type":{"$ref":"#/components/schemas/PropertyTypeENUM"},"externalId":{"type":"string"}},"required":["createdAt","propertyName","lastModifiedAt","propertyUid","type"]},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"PropertyTypeENUM":{"description":"Describes the type of property a product can have.\n\n|ENUM      | Description |\n| ---------------- | ------------ |\n| TEXT | A single text line such as an URL to a product manual or a reminder to the cashier/salesperson.|\n| SINGLESELECT | A list of values where a product can only have one at any given time.|\n| MULTISELECT | A list of values where a product can have none or several at any given time.|","enum":["TEXT","SINGLESELECT","MULTISELECT"],"title":"PropertyTypeENUM","type":"string"},"PropertyCreateRequestSchema":{"description":"A product property that extends the product with new data. It comes in three data types; TEXT, LIST or CHECKLIST.","title":"PropertyCreateRequestSchema","type":"object","properties":{"propertyName":{"type":"string"},"type":{"$ref":"#/components/schemas/PropertyTypeENUM"},"externalId":{"type":"string"},"propertyUid":{"$ref":"#/components/schemas/UID"}},"required":["propertyName","type"]}},"requestBodies":{"PropertyCreateRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PropertyCreateRequestSchema"}}}}}},"paths":{"/tenants/{tenantUid}/properties":{"post":{"operationId":"post-tenants-properties","description":"Create a new property.\n\nRequired permissions: PRODUCT","responses":{"200":{"$ref":"#/components/responses/PropertyResponse"}},"summary":"Create a new property","tags":["Properties"],"requestBody":{"$ref":"#/components/requestBodies/PropertyCreateRequest"}}}}}
```

## Search for properties

> Searches for properties based on criteria set in the request body.&#x20;

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Properties","description":"Properties"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"parameters":{"pageNumberQuery":{"description":"Reference to a specific page in a result set.","in":"query","name":"pageNumber","required":false,"schema":{"type":"integer"}},"pageSizeQuery":{"description":"The number of items per page in a result set.","in":"query","name":"pageSize","required":false,"schema":{"type":"integer"}},"sortByQuery":{"description":"Defines which field the resource list is sorted by.","in":"query","name":"sortBy","required":false,"schema":{"type":"string"}},"sortDirectionQuery":{"description":"Reference to a sort direction","explode":false,"in":"query","name":"sortDirection","schema":{"$ref":"#/components/schemas/SortDirectionENUM"},"style":"form"}},"schemas":{"SortDirectionENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| ASC | Sort in ascending order|\n| DESC | Sort in descending order|\n","enum":["ASC","DESC"],"title":"SortDirectionENUM","type":"string"},"PropertyResponseSchema":{"description":"A product property that extends the product with new data. It comes in three data types; TEXT, LIST or CHECKLIST.","title":"PropertyResponseSchema","type":"object","properties":{"createdAt":{"format":"date-time","type":"string"},"propertyName":{"type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"propertyUid":{"$ref":"#/components/schemas/UID"},"type":{"$ref":"#/components/schemas/PropertyTypeENUM"},"externalId":{"type":"string"}},"required":["createdAt","propertyName","lastModifiedAt","propertyUid","type"]},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"PropertyTypeENUM":{"description":"Describes the type of property a product can have.\n\n|ENUM      | Description |\n| ---------------- | ------------ |\n| TEXT | A single text line such as an URL to a product manual or a reminder to the cashier/salesperson.|\n| SINGLESELECT | A list of values where a product can only have one at any given time.|\n| MULTISELECT | A list of values where a product can have none or several at any given time.|","enum":["TEXT","SINGLESELECT","MULTISELECT"],"title":"PropertyTypeENUM","type":"string"},"Paging":{"description":"totalCount The total number of items in the result set.\n\npageSize The number of items per page.\n\npageNumber The current page in the result set.","properties":{"pageNumber":{"type":"integer"},"pageSize":{"type":"integer"},"totalCount":{"type":"integer"}},"required":["totalCount","pageSize","pageNumber"],"title":"Paging","type":"object"},"PropertySearchRequestSchema":{"title":"PropertySearchRequestSchema","type":"object","properties":{"propertyName":{"type":"string"},"type":{"$ref":"#/components/schemas/PropertyTypeENUM"},"externalId":{"type":"string"}}}},"responses":{"PropertyListResponse":{"content":{"application/json":{"schema":{"properties":{"items":{"items":{"$ref":"#/components/schemas/PropertyResponseSchema"},"type":"array"},"paging":{"$ref":"#/components/schemas/Paging"}},"required":["items","paging"],"type":"object"}}},"description":"Example response"}},"requestBodies":{"PropertySearchRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PropertySearchRequestSchema"}}}}}},"paths":{"/tenants/{tenantUid}/properties/search":{"post":{"description":"Searches for properties based on criteria set in the request body. ","operationId":"post-tenants-properties-search","parameters":[{"$ref":"#/components/parameters/pageNumberQuery"},{"$ref":"#/components/parameters/pageSizeQuery"},{"$ref":"#/components/parameters/sortByQuery"},{"$ref":"#/components/parameters/sortDirectionQuery"}],"responses":{"200":{"$ref":"#/components/responses/PropertyListResponse"}},"summary":"Search for properties","tags":["Properties"],"requestBody":{"$ref":"#/components/requestBodies/PropertySearchRequest"}}}}}
```

## Get property details

> Gets the details for this property.

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Properties","description":"Properties"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"PropertyResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PropertyResponseSchema"}}},"description":"Example response"}},"schemas":{"PropertyResponseSchema":{"description":"A product property that extends the product with new data. It comes in three data types; TEXT, LIST or CHECKLIST.","title":"PropertyResponseSchema","type":"object","properties":{"createdAt":{"format":"date-time","type":"string"},"propertyName":{"type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"propertyUid":{"$ref":"#/components/schemas/UID"},"type":{"$ref":"#/components/schemas/PropertyTypeENUM"},"externalId":{"type":"string"}},"required":["createdAt","propertyName","lastModifiedAt","propertyUid","type"]},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"PropertyTypeENUM":{"description":"Describes the type of property a product can have.\n\n|ENUM      | Description |\n| ---------------- | ------------ |\n| TEXT | A single text line such as an URL to a product manual or a reminder to the cashier/salesperson.|\n| SINGLESELECT | A list of values where a product can only have one at any given time.|\n| MULTISELECT | A list of values where a product can have none or several at any given time.|","enum":["TEXT","SINGLESELECT","MULTISELECT"],"title":"PropertyTypeENUM","type":"string"}}},"paths":{"/tenants/{tenantUid}/properties/{propertyUid}":{"get":{"description":"Gets the details for this property.","operationId":"get-tenants-properties-details","responses":{"200":{"$ref":"#/components/responses/PropertyResponse"}},"summary":"Get property details","tags":["Properties"]}}}}
```

## Update property details

> Updates the details for this property.\
> \
> Required permissions: PRODUCT

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Properties","description":"Properties"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"requestBodies":{"PropertyUpdateRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PropertyUpdateRequestSchema"}}}}},"schemas":{"PropertyUpdateRequestSchema":{"description":"Update name and externalId for a property","title":"PropertyUpdateRequestSchema","type":"object","properties":{"propertyName":{"type":"string"},"externalId":{"type":"string"}}},"PropertyResponseSchema":{"description":"A product property that extends the product with new data. It comes in three data types; TEXT, LIST or CHECKLIST.","title":"PropertyResponseSchema","type":"object","properties":{"createdAt":{"format":"date-time","type":"string"},"propertyName":{"type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"propertyUid":{"$ref":"#/components/schemas/UID"},"type":{"$ref":"#/components/schemas/PropertyTypeENUM"},"externalId":{"type":"string"}},"required":["createdAt","propertyName","lastModifiedAt","propertyUid","type"]},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"PropertyTypeENUM":{"description":"Describes the type of property a product can have.\n\n|ENUM      | Description |\n| ---------------- | ------------ |\n| TEXT | A single text line such as an URL to a product manual or a reminder to the cashier/salesperson.|\n| SINGLESELECT | A list of values where a product can only have one at any given time.|\n| MULTISELECT | A list of values where a product can have none or several at any given time.|","enum":["TEXT","SINGLESELECT","MULTISELECT"],"title":"PropertyTypeENUM","type":"string"}},"responses":{"PropertyResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PropertyResponseSchema"}}},"description":"Example response"}}},"paths":{"/tenants/{tenantUid}/properties/{propertyUid}":{"put":{"operationId":"put-tenants-properties-details","description":"Updates the details for this property.\n\nRequired permissions: PRODUCT","requestBody":{"$ref":"#/components/requestBodies/PropertyUpdateRequest"},"responses":{"200":{"$ref":"#/components/responses/PropertyResponse"}},"summary":"Update property details","tags":["Properties"]}}}}
```

## Delete a property

> Deletes a property.\
> \
> Required permissions: PRODUCT

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Properties","description":"Properties"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}}},"paths":{"/tenants/{tenantUid}/properties/{propertyUid}":{"delete":{"operationId":"delete-tenants-properties-details","description":"Deletes a property.\n\nRequired permissions: PRODUCT","responses":{"204":{"description":"No Content"}},"summary":"Delete a property","tags":["Properties"]}}}}
```

## List property options

> List all options available on this property.

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Properties","description":"Properties"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"parameters":{"pageNumberQuery":{"description":"Reference to a specific page in a result set.","in":"query","name":"pageNumber","required":false,"schema":{"type":"integer"}},"pageSizeQuery":{"description":"The number of items per page in a result set.","in":"query","name":"pageSize","required":false,"schema":{"type":"integer"}},"sortByQuery":{"description":"Defines which field the resource list is sorted by.","in":"query","name":"sortBy","required":false,"schema":{"type":"string"}},"sortDirectionQuery":{"description":"Reference to a sort direction","explode":false,"in":"query","name":"sortDirection","schema":{"$ref":"#/components/schemas/SortDirectionENUM"},"style":"form"}},"schemas":{"SortDirectionENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| ASC | Sort in ascending order|\n| DESC | Sort in descending order|\n","enum":["ASC","DESC"],"title":"SortDirectionENUM","type":"string"},"PropertyOptionResponseSchema":{"description":"An pre-defined, allowed value for a list or checklist property.","title":"PropertyOptionResponseSchema","type":"object","properties":{"createdAt":{"format":"date-time","type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"propertyUid":{"$ref":"#/components/schemas/UID"},"propertyName":{"type":"string"},"propertyOptionUid":{"$ref":"#/components/schemas/UID"},"propertyOptionName":{"type":"string"},"externalId":{"type":"string"}},"required":["createdAt","lastModifiedAt","propertyUid","propertyName","propertyOptionUid","propertyOptionName","externalId"]},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"Paging":{"description":"totalCount The total number of items in the result set.\n\npageSize The number of items per page.\n\npageNumber The current page in the result set.","properties":{"pageNumber":{"type":"integer"},"pageSize":{"type":"integer"},"totalCount":{"type":"integer"}},"required":["totalCount","pageSize","pageNumber"],"title":"Paging","type":"object"}},"responses":{"PropertyOptionListResponse":{"content":{"application/json":{"schema":{"properties":{"items":{"items":{"$ref":"#/components/schemas/PropertyOptionResponseSchema"},"type":"array"},"paging":{"$ref":"#/components/schemas/Paging"}},"required":["items","paging"],"type":"object"}}},"description":"Example response"}}},"paths":{"/tenants/{tenantUid}/properties/{propertyUid}/options":{"get":{"description":"List all options available on this property.","operationId":"get-tenants-properties-options","parameters":[{"$ref":"#/components/parameters/pageNumberQuery"},{"$ref":"#/components/parameters/pageSizeQuery"},{"$ref":"#/components/parameters/sortByQuery"},{"$ref":"#/components/parameters/sortDirectionQuery"},{"schema":{"type":"string"},"in":"query","name":"propertyOptionName","description":"Partial filter on propertyOptionName. If you filter for \"red\" it will return all options containing \"red\""}],"responses":{"200":{"$ref":"#/components/responses/PropertyOptionListResponse"}},"summary":"List property options","tags":["Properties"]}}}}
```

## Create a new property option

> Create a new option for this property.\
> \
> Required permissions: PRODUCT

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Properties","description":"Properties"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"requestBodies":{"PropertyOptionCreateRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PropertyOptionCreateRequestSchema"}}}}},"schemas":{"PropertyOptionCreateRequestSchema":{"allOf":[{"$ref":"#/components/schemas/PropertyOptionUpdateRequestSchema"},{"properties":{"propertyOptionUid":{"$ref":"#/components/schemas/UID"}},"type":"object"}],"title":"PropertyOptionCreateRequestSchema"},"PropertyOptionUpdateRequestSchema":{"description":"An pre-defined, allowed value for a list or checklist property.","title":"PropertyOptionUpdateRequestSchema","type":"object","properties":{"propertyOptionName":{"type":"string"},"externalId":{"type":"string"}},"required":["propertyOptionName"]},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"PropertyOptionResponseSchema":{"description":"An pre-defined, allowed value for a list or checklist property.","title":"PropertyOptionResponseSchema","type":"object","properties":{"createdAt":{"format":"date-time","type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"propertyUid":{"$ref":"#/components/schemas/UID"},"propertyName":{"type":"string"},"propertyOptionUid":{"$ref":"#/components/schemas/UID"},"propertyOptionName":{"type":"string"},"externalId":{"type":"string"}},"required":["createdAt","lastModifiedAt","propertyUid","propertyName","propertyOptionUid","propertyOptionName","externalId"]}},"responses":{"PropertyOptionResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PropertyOptionResponseSchema"}}},"description":"Example response"}}},"paths":{"/tenants/{tenantUid}/properties/{propertyUid}/options":{"post":{"operationId":"post-tenants-properties-options","description":"Create a new option for this property.\n\nRequired permissions: PRODUCT","requestBody":{"$ref":"#/components/requestBodies/PropertyOptionCreateRequest"},"responses":{"200":{"$ref":"#/components/responses/PropertyOptionResponse"}},"summary":"Create a new property option","tags":["Properties"]}}}}
```

## Get property option details

> Get details for the property option.

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Properties","description":"Properties"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"PropertyOptionResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PropertyOptionResponseSchema"}}},"description":"Example response"}},"schemas":{"PropertyOptionResponseSchema":{"description":"An pre-defined, allowed value for a list or checklist property.","title":"PropertyOptionResponseSchema","type":"object","properties":{"createdAt":{"format":"date-time","type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"propertyUid":{"$ref":"#/components/schemas/UID"},"propertyName":{"type":"string"},"propertyOptionUid":{"$ref":"#/components/schemas/UID"},"propertyOptionName":{"type":"string"},"externalId":{"type":"string"}},"required":["createdAt","lastModifiedAt","propertyUid","propertyName","propertyOptionUid","propertyOptionName","externalId"]},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"}}},"paths":{"/tenants/{tenantUid}/properties/{propertyUid}/options/{propertyOptionUid}":{"get":{"description":"Get details for the property option.","operationId":"get-tenants-properties-options-details","responses":{"200":{"$ref":"#/components/responses/PropertyOptionResponse"}},"summary":"Get property option details","tags":["Properties"]}}}}
```

## Update property option details

> Update details of the property option.\
> \
> Required permissions: PRODUCT

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Properties","description":"Properties"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"requestBodies":{"PropertyOptionUpdateRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PropertyOptionUpdateRequestSchema"}}}}},"schemas":{"PropertyOptionUpdateRequestSchema":{"description":"An pre-defined, allowed value for a list or checklist property.","title":"PropertyOptionUpdateRequestSchema","type":"object","properties":{"propertyOptionName":{"type":"string"},"externalId":{"type":"string"}},"required":["propertyOptionName"]},"PropertyOptionResponseSchema":{"description":"An pre-defined, allowed value for a list or checklist property.","title":"PropertyOptionResponseSchema","type":"object","properties":{"createdAt":{"format":"date-time","type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"propertyUid":{"$ref":"#/components/schemas/UID"},"propertyName":{"type":"string"},"propertyOptionUid":{"$ref":"#/components/schemas/UID"},"propertyOptionName":{"type":"string"},"externalId":{"type":"string"}},"required":["createdAt","lastModifiedAt","propertyUid","propertyName","propertyOptionUid","propertyOptionName","externalId"]},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"}},"responses":{"PropertyOptionResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PropertyOptionResponseSchema"}}},"description":"Example response"}}},"paths":{"/tenants/{tenantUid}/properties/{propertyUid}/options/{propertyOptionUid}":{"put":{"operationId":"put-tenants-properties-options-details","description":"Update details of the property option.\n\nRequired permissions: PRODUCT","requestBody":{"$ref":"#/components/requestBodies/PropertyOptionUpdateRequest"},"responses":{"200":{"$ref":"#/components/responses/PropertyOptionResponse"}},"summary":"Update property option details","tags":["Properties"]}}}}
```

## Delete a property option

> Delete a property option.\
> \
> Required permissions: PRODUCT

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Properties","description":"Properties"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}}},"paths":{"/tenants/{tenantUid}/properties/{propertyUid}/options/{propertyOptionUid}":{"delete":{"operationId":"delete-tenants-properties-options-details","description":"Delete a property option.\n\nRequired permissions: PRODUCT","responses":{"204":{"description":"No Content"}},"summary":"Delete a property option","tags":["Properties"]}}}}
```
